# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-06-10 08:01
from __future__ import unicode_literals

from django.db import migrations, models
import home.models
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.embeds.blocks
import wagtail.images.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('home', '0002_create_homepage'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='homepage',
            options={'verbose_name': 'Home page', 'verbose_name_plural': 'Home pages'},
        ),
        migrations.AddField(
            model_name='homepage',
            name='body',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'image', wagtail.core.blocks.StructBlock([(b'image', wagtail.images.blocks.ImageChooserBlock()), (b'alignment', home.models.ImageFormatBlock()), (b'caption', wagtail.core.blocks.RichTextBlock(required=False))], icon=b'image', label='Aligned image')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote')), (b'rawhtml', wagtail.core.blocks.RawHTMLBlock(icon=b'media', label='Embed HTML'))], null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='header_image',
            field=models.TextField(max_length=600, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='subtitle',
            field=models.TextField(max_length=600, null=True),
        ),
    ]
